Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class ActionsManager

    java.lang.Object
      org.netbeans.api.debugger.ActionsManager

    public final class ActionsManager

extends Object

Manages some set of actions. Loads some set of ActionProviders registerred for some context, and allows to call isEnabled and doAction methods on them.

Field Summary
`static Object` | `ACTION_CONTINUE` Action constant for Continue Action.
`static Object` | `ACTION_FIX` Action constant for Fix Action.
`static Object` | `ACTION_KILL` Action constant for Kill Action.
`static Object` | `ACTION_MAKE_CALLEE_CURRENT` Action constant for Make Callee Current Action.
`static Object` | `ACTION_MAKE_CALLER_CURRENT` Action constant for Make Caller Current Action.
`static Object` | `ACTION_PAUSE` Action constant for Pause Action.
`static Object` | `ACTION_POP_TOPMOST_CALL` Action constant for Pop Topmost Call Action.
`static Object` | `ACTION_RESTART` Action constant for Restart Action.
`static Object` | `ACTION_RUN_INTO_METHOD` Action constant for breakpoint hit action.
`static Object` | `ACTION_RUN_TO_CURSOR` Action constant for Run to Cursor Action.
`static Object` | `ACTION_START` Action constant for Start Action.
`static Object` | `ACTION_STEP_INTO` Action constant for Step Into Action.
`static Object` | `ACTION_STEP_OUT` Action constant for Step Out Action.
`static Object` | `ACTION_STEP_OVER` Action constant for Step Over Action.
`static Object` | `ACTION_TOGGLE_BREAKPOINT` Action constant for Restart Action.

Method Summary
`void` | `addActionsManagerListener(ActionsManagerListener l)` Add ActionsManagerListener.
`void` | `addActionsManagerListener(String propertyName, ActionsManagerListener l)` Add ActionsManagerListener.
`void` | `destroy()` Stops listening on all actions, stops firing events.
`void` | `doAction(Object action)` Performs action on this DebbuggerEngine.
`boolean` | `isEnabled(Object action)` Returns true if given action can be performed on this DebuggerEngine.
`Task` | `postAction(Object action)` Post action on this DebbuggerEngine.
`void` | `removeActionsManagerListener(ActionsManagerListener l)` Removes ActionsManagerListener.
`void` | `removeActionsManagerListener(String propertyName, ActionsManagerListener l)` Remove ActionsManagerListener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_STEP_OVER

    public static final Object ACTION_STEP_OVER

  Action constant for Step Over Action.

### ACTION_RUN_INTO_METHOD

    public static final Object ACTION_RUN_INTO_METHOD

  Action constant for breakpoint hit action.

### ACTION_STEP_INTO

    public static final Object ACTION_STEP_INTO

  Action constant for Step Into Action.

### ACTION_STEP_OUT

    public static final Object ACTION_STEP_OUT

  Action constant for Step Out Action.

### ACTION_CONTINUE

    public static final Object ACTION_CONTINUE

  Action constant for Continue Action.

### ACTION_START

    public static final Object ACTION_START

  Action constant for Start Action.

### ACTION_KILL

    public static final Object ACTION_KILL

  Action constant for Kill Action.

### ACTION_MAKE_CALLER_CURRENT

    public static final Object ACTION_MAKE_CALLER_CURRENT

  Action constant for Make Caller Current Action.

### ACTION_MAKE_CALLEE_CURRENT

    public static final Object ACTION_MAKE_CALLEE_CURRENT

  Action constant for Make Callee Current Action.

### ACTION_PAUSE

    public static final Object ACTION_PAUSE

  Action constant for Pause Action.

### ACTION_RUN_TO_CURSOR

    public static final Object ACTION_RUN_TO_CURSOR

  Action constant for Run to Cursor Action.

### ACTION_POP_TOPMOST_CALL

    public static final Object ACTION_POP_TOPMOST_CALL

  Action constant for Pop Topmost Call Action.

### ACTION_FIX

    public static final Object ACTION_FIX

  Action constant for Fix Action.

### ACTION_RESTART

    public static final Object ACTION_RESTART

  Action constant for Restart Action.

### ACTION_TOGGLE_BREAKPOINT

    public static final Object ACTION_TOGGLE_BREAKPOINT

  Action constant for Restart Action.

Method Detail

### doAction

    public final void doAction(Object action)

  Performs action on this DebbuggerEngine.

  Parameters:
    `action` - action constant (default set of constanct are defined in this class with ACTION_ prefix)

### postAction

    public final Task postAction(Object action)

  Post action on this DebbuggerEngine. This method does not block till the action is done, if `#canPostAsynchronously` returns true. Otherwise it behaves like `doAction(java.lang.Object)`. The returned taks, or `ActionsManagerListener` can be used to be notified when the action is done.

  Parameters:
    `action` - action constant (default set of constanct are defined in this class with ACTION_ prefix)
  Returns:
    a task, that can be checked for whether the action finished or not.
  Since:
    1.5

### isEnabled

    public final boolean isEnabled(Object action)

  Returns true if given action can be performed on this DebuggerEngine.

  Parameters:
    `action` - action constant (default set of constanct are defined in this class with ACTION_ prefix)
  Returns:
    true if given action can be performed on this DebuggerEngine

### destroy

    public void destroy()

  Stops listening on all actions, stops firing events.

### addActionsManagerListener

    public void addActionsManagerListener(ActionsManagerListener l)

  Add ActionsManagerListener.

  Parameters:
    `l` - listener instance

### removeActionsManagerListener

    public void removeActionsManagerListener(ActionsManagerListener l)

  Removes ActionsManagerListener.

  Parameters:
    `l` - listener instance

### addActionsManagerListener

    public void addActionsManagerListener(String propertyName,
                                          ActionsManagerListener l)

  Add ActionsManagerListener.

  Parameters:
    `propertyName` - a name of property to listen on
    `l` - the ActionsManagerListener to add

### removeActionsManagerListener

    public void removeActionsManagerListener(String propertyName,
                                             ActionsManagerListener l)

  Remove ActionsManagerListener.

  Parameters:
    `propertyName` - a name of property to listen on
    `l` - the ActionsManagerListener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.